@echo off
if [%1] == [] goto error
copy apall.bat %1
copy ap.bat %1
call cs bitmap %1
call cs cliptext %1
call cs clock %1
call cs cursor %1
call cs dde %1
call cs editcntl %1
call cs editfile %1
call cs editmenu %1
call cs fileopen %1
call cs generic %1
call cs helpex %1
call cs icon %1
call cs input %1
call cs menu %1
call cs multipad %1
call cs mypal %1
call cs output %1
call cs owncombo %1
call cs prntfile %1
call cs showfont %1
call cs tty %1
echo now go to directory %1 and apply the patches using 
echo either apall.bat or ap.bat
goto end
:error
echo specify sdk samples directory, eg
echo all c:\windev\samples
:end
